Grid Interpolation requires Real data type with decimals for Z value

2016-03-31 08:33 AM - Guillaume Larocque

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GDAL

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 22565

Description

In QGIS 2.14 with the Grid (Interpolation) dialog, only fields that contain decimals appear in the available fields for Z values. In previous

version, one could interpolate from integer data types or with real column with zero precision.

History

#1 - 2016-04-09 08:39 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to GDAL Tools

I believe you refer to the tool in the "raster" menu, "analysis" sub menu, right?

If yes, what about the same tool when used from the Processing toolbox?

#2 - 2016-05-23 10:14 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to worksforme

seems to work as expected in both the raster menu and in Processing, at least on 2.14.3 and master.

Please reopen if necessary.

#3 - 2016-11-14 06:46 AM - Guillaume Larocque

- Status changed from Closed to Reopened

Still does not work in QGIS 2.18. Tried on all platforms and if a field does not have at least one decimal, it will not be selectable as a Z field in the Grid

(Interpolation) dialog. The workaround is to make sure that the data type of the field is real AND that the precision is at least one.

#4 - 2017-01-02 05:55 AM - Giovanni Manghi

- Category changed from GDAL Tools to Processing/GDAL

#5 - 2017-01-24 03:25 AM - Alexander Bruy

- Status changed from Reopened to Feedback
Can you be more precise, which tool is broken? Just tested GDAL and native QGIS tools and both works fine

#6 - 2017-01-24 10:16 AM - Guillaume Larocque

- File Elevation_Points.zip added

I just tried it again with the attached Shapefile. For instance, the ELEV column is not selectable in the Grid (Interpolation) Raster menu item in 2.18.3 as a Z

field. If you copy that column into one with decimals, it will then be selectable.

#7 - 2017-01-25 09:49 AM - Eurico Nicacio

- File QGIS_Issue14597.png added

- Target version set to Version 2.18

I just tried with the shp provided in both the Raster menu and in Processing, using QGIS 2.18.3 on Ubuntu.

It works properly, as you can see in the image below.

#8 - 2017-01-25 10:07 AM - Guillaume Larocque

- File Screenshot_from_2017-01-25_13-12-41.png added

Weird, if I do the same thing on my computer running QGIS 2.18.3 on Ubuntu, I only get PROVIDER and TYPE as options for the Z Field with that file. See

attached.

#9 - 2017-02-08 02:57 AM - Alexander Bruy

- Status changed from Feedback to Closed

Works fine with Processing front-end. GDAL Tools is a deprecated plugin, use Processing instead.

#10 - 2017-03-10 12:48 PM - Guillaume Larocque

- Status changed from Closed to Reopened

This is still a problem in 2.18.4. I gave a QGIS workshop and all 12 participants had this issue on all platforms. If the column type is INTEGER, it does not

show in the list of fields in the Grid (Interpolation) dialog. The Processing Grid (Inverse distance to a power) option does not even allow to specify the

output raster resolution and extent, so is not a suitable replacement.

#11 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#12 - 2018-06-09 08:57 AM - Nyall Dawson

- Status changed from Reopened to Closed

This won't be fixed for 2.18 - it works fine in 3.0.
Files

Elevation_Points.zip 47.7 KB 2017-01-24 Guillaume Larocque

QGIS_Issue14597.png 248 KB 2017-01-25 Eurico Nicacio

Screenshot_from_2017-01-25_13-12-41.png 72.5 KB 2017-01-25 Guillaume Larocque

2024-03-20 3/3


